curl -X POST "https://backend.conversales.in/api/v1/sendDocumentMessage" \
-H "X-API-Key: 3kJ9mP2nQ8rT5vW7xY1zA4bC6dE8fG0hI" \
-H "Content-Type: application/json" \
-d '{
"to": "1234567890",
"mediaUrl": "https://example.com/document.pdf",
"message": "Please find the document attached",
"type":"document"
}'
const response = await fetch(
"https://backend.conversales.in/api/v1/sendDocumentMessage",
{
method: "POST",
headers: {
"X-API-Key": "3kJ9mP2nQ8rT5vW7xY1zA4bC6dE8fG0hI",
"Content-Type": "application/json",
},
body: JSON.stringify({
to: "1234567890",
mediaUrl: "https://example.com/document.pdf",
message: "Please find the document attached",
type: "document",
}),
}
);
import requests
url = "https://backend.conversales.in/api/v1/sendDocumentMessage"
headers = {"X-API-Key": "3kJ9mP2nQ8rT5vW7xY1zA4bC6dE8fG0hI"}
payload = {
"to": "1234567890",
"mediaUrl": "https://example.com/document.pdf",
"message": "Please find the document attached",
"type":"document"
}
response = requests.post(url, json=payload, headers=headers)
{
"statusCode": 200,
"message": "Document sent successfully",
"data": {
"messageId": "wamid.HBgNMTIzNDU2Nzg5MA==",
"status": "sent",
"to": "1234567890"
}
}
Chat Operations
Send Document Message
Send a document/PDF via WhatsApp
POST
/
api
/
v1
/
sendDocumentMessage
curl -X POST "https://backend.conversales.in/api/v1/sendDocumentMessage" \
-H "X-API-Key: 3kJ9mP2nQ8rT5vW7xY1zA4bC6dE8fG0hI" \
-H "Content-Type: application/json" \
-d '{
"to": "1234567890",
"mediaUrl": "https://example.com/document.pdf",
"message": "Please find the document attached",
"type":"document"
}'
const response = await fetch(
"https://backend.conversales.in/api/v1/sendDocumentMessage",
{
method: "POST",
headers: {
"X-API-Key": "3kJ9mP2nQ8rT5vW7xY1zA4bC6dE8fG0hI",
"Content-Type": "application/json",
},
body: JSON.stringify({
to: "1234567890",
mediaUrl: "https://example.com/document.pdf",
message: "Please find the document attached",
type: "document",
}),
}
);
import requests
url = "https://backend.conversales.in/api/v1/sendDocumentMessage"
headers = {"X-API-Key": "3kJ9mP2nQ8rT5vW7xY1zA4bC6dE8fG0hI"}
payload = {
"to": "1234567890",
"mediaUrl": "https://example.com/document.pdf",
"message": "Please find the document attached",
"type":"document"
}
response = requests.post(url, json=payload, headers=headers)
{
"statusCode": 200,
"message": "Document sent successfully",
"data": {
"messageId": "wamid.HBgNMTIzNDU2Nzg5MA==",
"status": "sent",
"to": "1234567890"
}
}
Authentication
string
required
Your API key for authentication
Request Body
string
required
Recipient phone number
string
required
Public URL of the document file
string
required
Message Type (e.g., document)
string
Document caption (optional)
string
Message ID to reply to (optional)
string
Custom reference ID (optional)
curl -X POST "https://backend.conversales.in/api/v1/sendDocumentMessage" \
-H "X-API-Key: 3kJ9mP2nQ8rT5vW7xY1zA4bC6dE8fG0hI" \
-H "Content-Type: application/json" \
-d '{
"to": "1234567890",
"mediaUrl": "https://example.com/document.pdf",
"message": "Please find the document attached",
"type":"document"
}'
const response = await fetch(
"https://backend.conversales.in/api/v1/sendDocumentMessage",
{
method: "POST",
headers: {
"X-API-Key": "3kJ9mP2nQ8rT5vW7xY1zA4bC6dE8fG0hI",
"Content-Type": "application/json",
},
body: JSON.stringify({
to: "1234567890",
mediaUrl: "https://example.com/document.pdf",
message: "Please find the document attached",
type: "document",
}),
}
);
import requests
url = "https://backend.conversales.in/api/v1/sendDocumentMessage"
headers = {"X-API-Key": "3kJ9mP2nQ8rT5vW7xY1zA4bC6dE8fG0hI"}
payload = {
"to": "1234567890",
"mediaUrl": "https://example.com/document.pdf",
"message": "Please find the document attached",
"type":"document"
}
response = requests.post(url, json=payload, headers=headers)
{
"statusCode": 200,
"message": "Document sent successfully",
"data": {
"messageId": "wamid.HBgNMTIzNDU2Nzg5MA==",
"status": "sent",
"to": "1234567890"
}
}
Supported formats: PDF, DOC, DOCX, XLS, XLSX, PPT, PPTX, TXT. Max size: 100MB.
⌘I